ChiliProject - Task # 37: ChiliProject Security Mailing Lists

Status: Closed Priority: Normal

Author: Muntek Singh Category: ChiliProject - Organization
Created: 2010-12-29 Assignee: Eric Davis

Updated: 2011-01-29 Due date:

Remote issue URL:
Description: Setup Security mailing lists

* Shared inbox for archival purposes
* Forward emails to the members of the [[Security Team]]
* Email "admin" access for the Security Team leader to add/remove forwards

History

2011-01-02 06:28 pm - Eric Davis

- Target version deleted ()

2011-01-12 01:58 pm - Eric Davis
- Category set to ChiliProject - Organization

2011-01-12 02:29 pm - Eric Davis
- Tracker changed from Bug to Task

2011-01-12 03:11 pm - Eric Davis
- Target version set to Public Launch

2011-01-13 12:49 am - Felix Schéfer
Hosted or one we setup? Should we go with the later, | suggest we use "sympa":https://www.sympa.org/, it's worked reliably for us for some time now,

has a good feature-set and each user has a full account (no password-sharing like mailman x_X). | also believe it to be available in debian/ubuntu.

2011-01-13 02:59 pm - Eric Davis

I'd rather go hosted, we shouldn't need to run everything ourselves.

The Release mailing list (read only) can be something like Mailchimp (or even a dedicated blog RSS feed that is setup to deliver email).

The Security mailing list is the only one that needs to be read/write, but we can just use a dedicated email account and have mail forwarded to the

security team.

2011-01-13 03:41 pm - Eric Davis
- Subproject of deleted (#7)

2011-01-13 03:41 pm - Eric Davis
- Subject changed from Mailing Lists to ChiliProject Mailing Lists

2011-01-15 07:16 am - Holger Just
| think, we could handle both use cases on Google (with the groups feature). Although for the announce list (and probably additional general
mailinglists) we might have to test the user experience for the general audience first.

2011-01-15 08:09 am - Muntek Singh

Is there a built-in way to allow users to subscribe to gapps groups? Last | checked there was not.

2011-01-15 08:15 am - Felix Schéfer

I'm not sure what you mean, if you mean "subscribe without a google ID": possible, but not at the click of a button (see
"here":http://groups.google.com/support/bin/answer.py ?hl=en&answer=46606), though there seem to exist a variety of ready-made boxes where people
can just enter an address and hit go to get subscribed (see "here":http:/sites.google.com/site/gadgetsbysj/gadgets/group-subscribe-box for example).

2011-01-16 01:19 pm - Eric Davis

What about just using Feedburner's email system for a release mailing list? We can hook it upto any RSS feed and either:

# Have a dedicated "Release" feed on the blog.
# Use the News module's ATOM feed (would send out more than releases though).

# Or write something custom for releases. They are so infrequent we can do thing manually for a bit with a CRUD plugin and toss it into an RSS feed.

2011-01-16 03:04 pm - Felix Schafer
Eric Davis wrote:

> What about just using Feedburner's email system for a release mailing list?
Don't know if | said it already, but | don't care much as long as it works :-)

> We can hook it upto any RSS feed and either:

>

> # Have a dedicated "Release" feed on the blog.

> # Use the News module's ATOM feed (would send out more than releases though).

Should we use the news module if running an external blog? Either we use the only the external blog, use a common tag for releases and use that
through feedburner, or use the news section for releases only, pipe the ATOM to feedburner and use the blog for everything else.

2011-01-16 03:37 pm - Eric Davis

Felix SchArfer wrote:

> Should we use the news module if running an external blog? Either we use the only the external blog, use a common tag for releases and use that
through feedburner, or use the news section for releases only, pipe the ATOM to feedburner and use the blog for everything else.

Good question. Personally | think the News module is very weak, so maybe that could be used for releases only? Then the news module could be:

"Version X has been released, see the +release notes+ on the blog for more details"

2011-01-16 03:44 pm - Felix Schéafer

| could even live with not using the news section at all, but that would be fine too, listing the 2-3 main changes wouldn't hurt though.

2011-01-17 03:56 pm - Eric Davis

- Subject changed from ChiliProject Mailing Lists to ChiliProject Security Mailing Lists

Lets just focus on the security mailing list for now. The releases one can be figured out later on.

I've updated the description with the requirements, who has access to the Google email admin account?

2011-01-20 11:06 pm - Eric Davis
- Assignee set to Eric Davis
- Status set to Closed

The security mailing list has been setup and tested.

2011-01-29 08:35 pm - Muntek Singh

Eric Davis wrote:

> Felix SchAxafer wrote:

> > Should we use the news module if running an external blog? Either we use the only the external blog, use a common tag for releases and use that
through feedburner, or use the news section for releases only, pipe the ATOM to feedburner and use the blog for everything else.

>

> Good question. Personally | think the News module is very weak, so maybe that could be used for releases only? Then the news module could be:
>

> "Version X has been released, see the +release notes+ on the blog for more details"

| vote get rid of the new module entirely, and only use the blog. You can put all the release announcements into one category and we can link to it from
several places. Wordpress will automatically generate the rss feeds for categories, for example: http://blog.chiliproject.org/category/community/feed/
which we can use for the mailing list or for anything else. The news module is pretty anemic compared to wordpress in every way, I'll reiterate my

choice to get rid of it and use the blog for everything.
